Bug 1461672 - qemu-img core dumped when create external snapshot through ssh protocol without specifying image size
qemu-img core dumped when create external snapshot through ssh protocol witho...
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Jeff Cody
Ping Li
:
: 1461677 (view as bug list)
Depends On:
Blocks: 1473046
  Show dependency treegraph
 
Reported: 2017-06-15 02:35 EDT by Ping Li
Modified: 2017-10-09 12:46 EDT (History)
14 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-145.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Jeff Cody 2017-09-30 23:56:22 EDT
*** Bug 1461677 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Rezanina 2017-10-06 03:13:04 EDT
Fix included in qemu-kvm-1.5.3-145.el7
Comment 6 Ping Li 2017-10-09 12:46:14 EDT
Set the bug as verified according to the test result.

Verified the issue with below packages:
kernel-3.10.0-728.el7.x86_64
qemu-kvm-1.5.3-145.el7

Test steps:
1. Setup ssh environment
#ssh-keygen
#ssh-copy-id root@10.73.73.83
#exec /usr/bin/ssh-agent $SHELL
#ssh-add

2. Create snapshot via ssh protocol
# qemu-img create -f qcow2 -b 'json:{"file.driver":"ssh", "file.host":"10.73.73.83", "file.port":"22", "file.path":"/home/tests/diskfile/rhel75.qcow2", "file.user":"root", "file.host_key_check":"no"}' ssh.qcow2
Formatting 'ssh.qcow2', fmt=qcow2 size=21474836480 backing_file='json:{"file.driver":"ssh", "file.host":"10.73.73.83", "file.port":"22", "file.path":"/home/tests/diskfile/rhel75.qcow2", "file.user":"root", "file.host_key_check":"no"}' encryption=off cluster_size=65536 lazy_refcounts=off

3. Check info of image
# qemu-img info ssh.qcow2 
image: ssh.qcow2
file format: qcow2
virtual size: 20G (21474836480 bytes)
disk size: 17M
cluster_size: 65536
backing file: json:{"file.driver":"ssh", "file.host":"10.73.73.83", "file.port":"22", "file.path":"/home/tests/diskfile/rhel75.qcow2", "file.user":"root", "file.host_key_check":"no"}
Format specific information:
    compat: 1.1
    lazy refcounts: false

4. Boot up the guest

Note You need to log in before you can comment on or make changes to this bug.